DavenDaven Documentation
APIAPI ReferenceJobboardJobboard Activities

Update partially jobboard activity

PATCH
/jobboard/activities/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*number|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Jobboard Activity partial DTO - The data transfer object for jobboard activity with optional fields

recorded_at?string

Date of the activity

job_offer_reference?string

Main job offer reference

job_offer_reference_2?|

Second job offer reference

job_offer_reference_3?|

Third job offer reference

job_offer_title?|

Job offer title

status?string

Status of the application

subsidiary?|

Subsidiary name

subsidiary_jobboard_id?|

Subsidiary's internal ID in the Jobboard

count?number

Count of the application step occurrences

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/jobboard/activities/0" \  -H "Content-Type: application/json" \  -d '{}'
{
  "message": "string",
  "data": [
    {
      "recorded_at": "2023-10-01",
      "job_offer_reference": "REF123",
      "job_offer_reference_2": "REF456",
      "job_offer_reference_3": "REF789",
      "job_offer_title": "Software Engineer",
      "status": "job_offer_view",
      "subsidiary": "Daven Corp",
      "subsidiary_jobboard_id": "SUB123",
      "count": 92
    }
  ]
}
{
  "message": "string",
  "errors": [
    {
      "message": "string",
      "data": null
    }
  ]
}
{
  "message": "string",
  "errors": [
    {
      "message": "string",
      "data": null
    }
  ]
}
{
  "message": "string",
  "errors": [
    {
      "message": "string",
      "data": null
    }
  ]
}
{
  "message": "string",
  "errors": [
    {
      "message": "string",
      "data": null
    }
  ]
}